---
- hosts: localhost

  tasks:
    - name: Check that you can connect (GET) to a page and it returns a status 200
      register: result       
      uri:
        url: http://www.itential.com
    - name: Result of Run Command
      debug: var=result
    # Check that a page returns a status 200 and fail if the word AWESOME is not
    # in the page contents.
    - uri:
        #url: http://www.itential.com
        url: http://everybirthdaymatters.org
        return_content: yes
      register: this
      failed_when: "'Every' not in this.content"
